cURL
curl --request PATCH \
--url https://api.boothzen.com/v1/bookings/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_date": "2023-11-07T05:31:56Z",
"event_start_time": "<string>",
"event_end_time": "<string>",
"event_type": "<string>",
"status": "<string>",
"notes": "<string>",
"metadata": [
"<string>"
]
}
'import requests
url = "https://api.boothzen.com/v1/bookings/{id}"
payload = {
"event_date": "2023-11-07T05:31:56Z",
"event_start_time": "<string>",
"event_end_time": "<string>",
"event_type": "<string>",
"status": "<string>",
"notes": "<string>",
"metadata": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_date: '2023-11-07T05:31:56Z',
event_start_time: '<string>',
event_end_time: '<string>',
event_type: '<string>',
status: '<string>',
notes: '<string>',
metadata: ['<string>']
})
};
fetch('https://api.boothzen.com/v1/bookings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"errors": {}
}Booking
Patch bookings
PATCH
/
bookings
/
{id}
cURL
Authorizations
Bearer token: bz_live_<32chars> (live mode) or bz_test_<32chars> (test mode). Obtain via BoothZen admin โ Settings โ API Keys.
Path Parameters
Body
application/json
Phase 140-03: Update booking via Public API. All fields are optional (PATCH semantics).
Maximum string length:
100Maximum string length:
50Maximum string length:
5000Maximum array length:
50Maximum string length:
500Response
The response is of type string.
โI